from setuptools import setup, find_packages

with open("README.md", "r") as fh:
    long_description = fh.read()

with open("requirements.txt", "r") as fh:
    required = fh.read().splitlines()

setup(
    name="configurator",
    version="0.1.0",
    author="agathanonymous",
    author_email="agatha@juggalol.com",
    description="A configuration management package",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://git.juggalol.com/agatha/configurator",
    packages=find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.6',
    install_requires=required,
)
